libgd2-noxpm-dev_2.1.0-5+deb8u11_amd64.deb


Advertisement

Description

libgd2-noxpm-dev - GD Graphics Library (transitional package)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgd2-noxpm-dev
Package version 2.1.0
Package release 5+deb8u11
Package architecture amd64
Package type deb
Installed size 1 B
Download size 1.21 KB
Official Mirror ftp.br.debian.org
This is a dummy transition package that can be safely removed once no
package depend on it.

Alternatives

Package Version Architecture Repository
libgd2-noxpm-dev_2.1.0-5+deb8u11_i386.deb 2.1.0 i386 Debian Main
libgd2-noxpm-dev - - -

Requires

Name Value
libgd-dev = 2.1.0-5+deb8u11

Download

Type URL
Binary Package libgd2-noxpm-dev_2.1.0-5+deb8u11_amd64.deb
Source Package libgd2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgd2-noxpm-dev deb package:
    # sudo apt-get install libgd2-noxpm-dev

Files

Path
/usr/share/doc/libgd2-noxpm-dev
/usr/share/lintian/overrides/libgd2-noxpm-dev

Changelog

2017-08-31 - Salvatore Bonaccorso <carnil@debian.org>
libgd2 (2.1.0-5+deb8u11) jessie-security; urgency=high
* Non-maintainer upload by the Security Team.
* CVE-2017-6362: Double-free in gdImagePngPtr()
2017-08-12 - Salvatore Bonaccorso <carnil@debian.org>
libgd2 (2.1.0-5+deb8u10) jessie-security; urgency=high
* Non-maintainer upload by the Security Team.
* CVE-2017-7890: Fix unitialized memory read vulnerability in GIF reading
(Closes: #869263)
2017-01-18 - Ondřej Surý <ondrej@debian.org>
libgd2 (2.1.0-5+deb8u9) jessie-security; urgency=high
* [CVE-2016-6906]: Fix OOB reads of the TGA decompression buffer
* [CVE-2016-6912]: Fix double-free in gdImageWebPtr()
* [CVE-2016-10166]: Fix potential unsigned underflow
* [CVE-2016-10167]: Fix DOS vulnerability in gdImageCreateFromGd2Ctx()
* [CVE-2016-6906]: Fix OOB reads of the TGA decompression buffer
* [CVE-2016-9317]: Check for oversized images
* [CVE-2016-10168]: Fix signed integer Overflow gd_io.c
2017-01-01 - Salvatore Bonaccorso <carnil@debian.org>
libgd2 (2.1.0-5+deb8u8) jessie-security; urgency=high
* Non-maintainer upload by the Security Team.
* CVE-2016-9933: gdImageFillToBorder stack-overflow when invalid color is
used (Closes: #849038)
2016-10-12 - Ondřej Surý <ondrej@debian.org>
libgd2 (2.1.0-5+deb8u7) jessie-security; urgency=high
* [CVE-2016-7568]: Integer overflow in gdImageWebpCtx
* Fix Stack Buffer Overflow in GD dynamicGetbuf
* Fix invalid read in gdImageCreateFromTiffPtr()
2016-07-26 - Ondřej Surý <ondrej@debian.org>
libgd2 (2.1.0-5+deb8u6) jessie-security; urgency=high
* [CVE-2016-6207]: Improve fix while (u>=0) with unsigned int will
always be true.
2016-07-18 - Ondřej Surý <ondrej@debian.org>
libgd2 (2.1.0-5+deb8u5) jessie-security; urgency=high
* [CVE-2016-6207]: Fix out-of-bounds memory write access in
_gdContributionsAlloc()
2016-07-15 - Ondřej Surý <ondrej@debian.org>
libgd2 (2.1.0-5+deb8u4) jessie-security; urgency=high
* [CVE-2016-5766]: Fix Integer Overflow in _gd2GetHeader() resulting in
heap overflow (Closes: #829014)
* [CVE-2016-6128]: Fix invalid color index not handled, can lead to
crash (Closes: #829062)
* [CVE-2016-6161]: Add upstream patch to fix gif: avoid out-of-bound
reads of masks array
* [CVE-2016-6132]: Fix out-of-bounds read in the parsing of TGA files
(Closes: #829694)
* [CVE-2016-6214]: Fix read out-of-bands was found in TGA
* [CVE-to-be-assigned]: Fix another out-of-bounds read in read_image_tga
(upstream #248)
* [CVE-2016-5116]: Fix xbm: avoid stack overflow (read) with large names
2016-05-24 - Ondřej Surý <ondrej@debian.org>
libgd2 (2.1.0-5+deb8u3) jessie-security; urgency=high
* [CVE-2015-8877]: Fix gdImageScaleTwoPass memory leak
* Upstream patches:
+ Fixed memory overrun bug in gdImageScaleTwoPass
+ Fix for segfaults on gdImageScale with most interpolation modes
2016-05-20 - Ondřej Surý <ondrej@debian.org>
libgd2 (2.1.0-5+deb8u2) jessie-security; urgency=high
* [CVE-2015-8874]: Stack consumption vulnerability in GD allows remote
attackers to cause a denial of service via a crafted imagefilltoborder
call (Closes: #824627)

See Also

Package Description
libgd2-xpm-dev_2.1.0-5+deb8u11_amd64.deb GD Graphics Library (transitional package)
libgd3_2.1.0-5+deb8u11_amd64.deb GD Graphics Library
libgda-5.0-4_5.2.2-2_amd64.deb data abstraction library based on GLib
libgda-5.0-bin_5.2.2-2_amd64.deb data abstraction library based on GLib -- binary files
libgda-5.0-common_5.2.2-2_all.deb data abstraction library based on GLib -- common files
libgda-5.0-dev_5.2.2-2_amd64.deb data abstraction library based on GLib -- development files
libgda-5.0-doc_5.2.2-2_all.deb data abstraction library based on GLib -- documentation files
libgda-5.0-mysql_5.2.2-2_amd64.deb MySQL provider for libgda database abstraction library
libgda-5.0-postgres_5.2.2-2_amd64.deb PostgreSQL provider for libgda database abstraction library
libgdal-dev_1.10.1+dfsg-8+b3_amd64.deb Geospatial Data Abstraction Library - Development files
libgdal-doc_1.10.1+dfsg-8_all.deb Documentation for the Geospatial Data Abstraction Library
libgdal-java_1.10.1+dfsg-8+b3_amd64.deb Java bindings to the Geospatial Data Abstraction Library
libgdal-perl_1.10.1+dfsg-8+b3_amd64.deb Perl bindings to the Geospatial Data Abstraction Library
libgdal1-1.10.1-grass_1.10.1-3_amd64.deb GRASS extension for the GDAL library
libgdal1-dev_1.10.1+dfsg-8_all.deb Geospatial Data Abstraction Library - Transitional package
Advertisement
Advertisement